new sound stuff in new kernels ?

new sound stuff in new kernels ?

Post by Dave Phillip » Thu, 16 May 1996 04:00:00



Can someone tell me what new aspects to sound support have been added to the latest
kernels (higher than 1.3.90) ? I've heard that there's now a /dev/dsp16 which will
automatically recognize and play 16-bit 44.1 kHz .wav files. If so, that could be
good news to those of us running realtime Csound (as of now I'm having to settle
for 8-bit u-law soundfiles, but at least I'm getting realtime synthesis from a
486/120).

== Dave Phillips

           My Web pages, back at last:
    http://www.bright.net/~dlphilp/index.html

        Quare id faciam fortasse requiris:
      Nescio, sed fieri sentio et excrucior.

 
 
 

new sound stuff in new kernels ?

Post by Hannu Savolain » Fri, 17 May 1996 04:00:00



>Can someone tell me what new aspects to sound support have been added to the latest
>kernels (higher than 1.3.90) ? I've heard that there's now a /dev/dsp16 which will
>automatically recognize and play 16-bit 44.1 kHz .wav files. If so, that could be
>good news to those of us running realtime Csound (as of now I'm having to settle
>for 8-bit u-law soundfiles, but at least I'm getting realtime synthesis from a
>486/120).

/dev/dspW (earlier /dev/dsp16) has been in the driver more than an year. The
device file creation script just has not created it. "mknod /dev/dspW c 14 5"
does the trick. There is no automatic speed recognition and the speed is
8 kHz as with /dev/dsp.

To be able to play from Csound you need to use a program which sets the speed.
In theory "splay -s44100 -b16" does this. splay is included in the
snd-util-3.x.tar.gz package.

Best regards,

Hannu
--
-----------------------------

http://personal.eunet.fi/pp/voxware/hannu.html (my home page)
http://www.4Front-Tech.com/uss.html (UNIX Sound System (USS))

 
 
 

1. SLIP/PPP -->new kernel-->new compiler-->new make

Hello world!

I'm trying to install SLIP or PPP (made no choice yet, any tips?)
Therefore I needed a new kernel and tried to install 1.1.45.
To compile this I needed a new gcc version. I downloaded gcc 2.5.8, libc
4.5.26, binutils 1.9l.4 and tools 2.16.
I un-tar-ed them all and started to compile.
I now need gnu make 3.70 (in stead of 3.69) where can I find this?
I also have problems with libc.so.4, witch is linked to libc.so.4.4.4
It sais: desire minor version 514 and found 404
How do I solve this?
final question: Why isn't there a HOW-TO about these things?

I hope anyone can help me with this.

Greetings and thanx in advance,

Perjan Moors.

2. NNTP Server & Client in AIX 4.3.3

3. Help to boot new kernel with grub -delited the old kernel before tried the new one

4. Internet Charging + FREE Software

5. I need a new kernel, but hd is stuff'd...

6. Docs searched: SVID, SYSVR4: ABI API

7. new kernel + LILO = bad stuff

8. Multiple USB cameras

9. I need a new kernel, but hd is stuff'd...

10. New stuff in Linux Kernel Hackers' Guide

11. New way to do QOS and limit bandwidth with Linux, new site , new software Howto Included

12. NEW NEW NEW